import { defineComponent as M, computed as T, createElementBlock as o, openBlock as a, normalizeClass as k, createCommentVNode as D, renderSlot as h, createTextVNode as ae, createElementVNode as n, Fragment as y, renderList as C, toDisplayString as w, ref as _, h as ne, onMounted as E, watch as L, withDirectives as V, createVNode as Y, isRef as Te, vModelCheckbox as Me, unref as A, defineAsyncComponent as Be, onBeforeUnmount as Ie, normalizeStyle as Oe, createBlock as re, resolveDynamicComponent as ie, mergeProps as ue, nextTick as de, onUnmounted as pe, vModelSelect as j, vModelText as Z } from "vue";
const Ve = {
  key: 0,
  class: "loading loading-spinner"
}, bn = /* @__PURE__ */ M({
  __name: "ButtonComponent",
  props: {
    outlined: { type: Boolean, default: !1 },
    active: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    type: {},
    size: {},
    shape: {}
  },
  setup(d) {
    const u = d, e = T(() => {
      switch (u.size) {
        case "large":
          return "btn-lg";
        case "small":
          return "btn-sm";
        case "tiny":
          return "btn-tiny";
        case "wide":
          return "btn-wide";
        case "full":
          return "w-full";
        default:
          return "";
      }
    }), t = T(() => {
      switch (u.type) {
        case "neutral":
          return "btn-neutral";
        case "primary":
          return "btn-primary";
        case "secondary":
          return "btn-secondary";
        case "accent":
          return "btn-accent";
        case "ghost":
          return "btn-ghost";
        case "link":
          return "btn-link px-0!";
        case "info":
          return "btn-info";
        case "success":
          return "btn-success";
        case "warning":
          return "btn-warning";
        case "error":
          return "btn-error";
        default:
          return "btn-neutral";
      }
    }), l = T(() => {
      switch (u.shape) {
        case "square":
          return "btn-square";
        case "circle":
          return "btn-circle";
        default:
          return "";
      }
    });
    return (r, p) => (a(), o("button", {
      class: k(["btn", { "btn-outline": u.outlined }, { "btn-active": u.active }, t.value, e.value, l.value])
    }, [
      r.loading ? (a(), o("span", Ve)) : D("", !0),
      h(r.$slots, "default", {}, () => [
        p[0] || (p[0] = ae("Submit"))
      ])
    ], 2));
  }
}), Ue = {
  tabindex: "0",
  class: "z-1 bg-base-100 shadow-sm p-2 rounded-sm min-w-[inherit] md:min-w-full xl:min-w-52 dropdown-content menu"
}, Ae = ["href"], yn = /* @__PURE__ */ M({
  __name: "dropdown",
  props: {
    items: {},
    position: { default: "bottom" },
    floatPosition: { default: "start" },
    openOnHover: { type: Boolean, default: !1 },
    forceOpen: { type: Boolean, default: !1 }
  },
  setup(d) {
    const u = {
      left: "dropdown-left",
      right: "dropdown-right",
      bottom: "dropdown-bottom",
      top: "dropdown-top"
    }, e = {
      start: "",
      end: "dropdown-end"
    }, t = d;
    return (l, r) => (a(), o("div", {
      class: k(["dropdown", u[t.position], e[t.floatPosition], { "dropdown-open": t.forceOpen }, { "dropdown-hover": t.openOnHover }])
    }, [
      h(l.$slots, "default", {
        tabindex: "0",
        role: "button"
      }, () => [
        r[0] || (r[0] = n("div", { class: "m-1 btn" }, "Open dropdown", -1))
      ]),
      n("ul", Ue, [
        (a(!0), o(y, null, C(l.items, (p) => (a(), o("li", null, [
          n("a", {
            href: p.link
          }, w(p.text), 9, Ae)
        ]))), 256)),
        h(l.$slots, "additional")
      ])
    ], 2));
  }
}), ze = { class: "modal-box" }, Re = { class: "modal-action" }, wn = /* @__PURE__ */ M({
  __name: "modal",
  props: {
    position: { default: "center" },
    withBackdrop: { type: Boolean, default: !1 }
  },
  setup(d) {
    const u = d, e = {
      top: "modal-top",
      bottom: "modal-bottom",
      center: "modal-middle"
    }, t = _(null), l = () => {
      var p;
      (p = t.value) == null || p.showModal();
    }, r = () => {
      var p;
      (p = t.value) == null || p.close();
    };
    return (p, v) => (a(), o(y, null, [
      n("span", {
        class: "w-fit cursor-pointer",
        onClick: l
      }, [
        h(p.$slots, "trigger", { role: "button" }, () => [
          v[0] || (v[0] = n("button", { class: "btn" }, "Open", -1))
        ])
      ]),
      n("dialog", {
        ref_key: "dialog",
        ref: t,
        class: k(["modal", e[u.position]])
      }, [
        n("div", ze, [
          h(p.$slots, "default"),
          n("div", Re, [
            h(p.$slots, "actions"),
            n("form", {
              method: "dialog",
              onSubmit: r,
              class: k(p.withBackdrop ? "modal-backdrop" : "")
            }, [
              h(p.$slots, "close-button", {}, () => [
                v[1] || (v[1] = n("button", { class: "btn" }, "Close", -1))
              ])
            ], 34)
          ])
        ])
      ], 2)
    ], 64));
  }
}), Pe = { class: "swap-on" }, je = { class: "swap-off" }, kn = /* @__PURE__ */ M({
  __name: "swap",
  props: {
    effect: {}
  },
  setup(d) {
    const u = d;
    return (e, t) => (a(), o("label", {
      class: k(["swap", u.effect ? `swap-${e.effect}` : ""])
    }, [
      t[0] || (t[0] = n("input", { type: "checkbox" }, null, -1)),
      n("div", Pe, [
        h(e.$slots, "on")
      ]),
      n("div", je, [
        h(e.$slots, "off")
      ])
    ], 2));
  }
});
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const Le = (d) => d.replace(/([a-z0-9])([A-Z])/g, "$1-$2").toLowerCase();
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
var W = {
  xmlns: "http://www.w3.org/2000/svg",
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  "stroke-width": 2,
  "stroke-linecap": "round",
  "stroke-linejoin": "round"
};
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const Ne = ({ size: d, strokeWidth: u = 2, absoluteStrokeWidth: e, color: t, iconNode: l, name: r, class: p, ...v }, { slots: f }) => ne(
  "svg",
  {
    ...W,
    width: d || W.width,
    height: d || W.height,
    stroke: t || W.stroke,
    "stroke-width": e ? Number(u) * 24 / Number(d) : u,
    class: ["lucide", `lucide-${Le(r ?? "icon")}`],
    ...v
  },
  [...l.map((m) => ne(...m)), ...f.default ? [f.default()] : []]
);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const G = (d, u) => (e, { slots: t }) => ne(
  Ne,
  {
    ...e,
    iconNode: u,
    name: d
  },
  t
);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const Ee = G("CalendarIcon", [
  ["path", { d: "M8 2v4", key: "1cmpym" }],
  ["path", { d: "M16 2v4", key: "4m81vk" }],
  ["rect", { width: "18", height: "18", x: "3", y: "4", rx: "2", key: "1hopcy" }],
  ["path", { d: "M3 10h18", key: "8toen8" }]
]);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const Fe = G("MoonIcon", [
  ["path", { d: "M12 3a6 6 0 0 0 9 9 9 9 0 1 1-9-9Z", key: "a7tn18" }]
]);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const ce = G("SearchIcon", [
  ["circle", { cx: "11", cy: "11", r: "8", key: "4ej97u" }],
  ["path", { d: "m21 21-4.3-4.3", key: "1qie3q" }]
]);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const He = G("SunIcon", [
  ["circle", { cx: "12", cy: "12", r: "4", key: "4exip2" }],
  ["path", { d: "M12 2v2", key: "tus03m" }],
  ["path", { d: "M12 20v2", key: "1lh1kg" }],
  ["path", { d: "m4.93 4.93 1.41 1.41", key: "149t6j" }],
  ["path", { d: "m17.66 17.66 1.41 1.41", key: "ptbguv" }],
  ["path", { d: "M2 12h2", key: "1t8f8n" }],
  ["path", { d: "M20 12h2", key: "1q8mjw" }],
  ["path", { d: "m6.34 17.66-1.41 1.41", key: "1m8zz5" }],
  ["path", { d: "m19.07 4.93-1.41 1.41", key: "1shlcs" }]
]), qe = (d, u) => {
  const e = _(null);
  return E(() => {
    if (typeof window < "u") {
      const t = window.localStorage.getItem(d);
      e.value = t ? JSON.parse(t) : u;
    }
  }), L(e, (t) => {
    typeof window < "u" && window.localStorage.setItem(d, JSON.stringify(t));
  }), e;
}, Ye = { class: "swap-rotate swap" }, Je = ["true-value", "false-value"], $n = /* @__PURE__ */ M({
  __name: "theme-controller",
  props: {
    lightTheme: { default: "light" },
    darkTheme: { default: "dark" }
  },
  setup(d) {
    const u = d, e = qe("theme", u.lightTheme);
    function t(l) {
      typeof window < "u" && window.document && document.documentElement.setAttribute("data-theme", l);
    }
    return E(() => t(e.value ? e.value : "")), L(e, (l) => {
      t(l);
    }), (l, r) => (a(), o("label", Ye, [
      V(n("input", {
        type: "checkbox",
        class: "theme-controller",
        "onUpdate:modelValue": r[0] || (r[0] = (p) => Te(e) ? e.value = p : null),
        "true-value": u.lightTheme,
        "false-value": u.darkTheme
      }, null, 8, Je), [
        [Me, A(e)]
      ]),
      Y(A(He), { class: "swap-off fill-current" }),
      Y(A(Fe), { class: "swap-on fill-current" })
    ]));
  }
}), Xe = ["name"], Ke = { class: "collapse-title font-bold text-2xl lg:text-4xl" }, We = { class: "collapse-content" }, Ze = ["innerHTML"], _n = /* @__PURE__ */ M({
  __name: "accordion",
  props: {
    name: {},
    items: {},
    joinItems: { type: Boolean, default: !1 },
    icon: {}
  },
  setup(d) {
    const u = d;
    return (e, t) => (a(!0), o(y, null, C(u.items, (l, r) => (a(), o("div", {
      class: k(["collapse border border-base-300", [e.icon ? `collapse-${e.icon}` : "", { "join-item": e.joinItems }]]),
      key: r
    }, [
      n("input", {
        type: "radio",
        name: e.name,
        value: "true"
      }, null, 8, Xe),
      n("div", Ke, w(l.title), 1),
      n("div", We, [
        n("span", {
          innerHTML: l.content
        }, null, 8, Ze)
      ])
    ], 2))), 128));
  }
}), Ge = ["src"], Qe = { class: "text-xl" }, Cn = /* @__PURE__ */ M({
  __name: "avatar",
  props: {
    image: {},
    onlineStatus: { default: "none" },
    initials: {},
    fullyRounded: { type: Boolean, default: !1 }
  },
  setup(d) {
    const u = d, e = _(u.onlineStatus);
    return L(
      () => u.onlineStatus,
      (t) => {
        t && (e.value = t);
      }
    ), (t, l) => (a(), o("div", {
      class: k(["avatar", [{ "avatar-online": e.value === "online" }, { "avatar-offline": e.value === "offline" }]])
    }, [
      t.image ? (a(), o("div", {
        key: 0,
        class: k(["rounded", [{ "rounded-full": t.fullyRounded }, { rounded: !t.fullyRounded }]])
      }, [
        n("img", {
          src: t.image,
          class: "w-full h-full"
        }, null, 8, Ge)
      ], 2)) : (a(), o("div", {
        key: 1,
        class: k(["flex justify-center bg-neutral p-[25%] rounded w-16 text-neutral-content text-center", [{ "rounded-full": t.fullyRounded }, { rounded: !t.fullyRounded }]])
      }, [
        n("p", Qe, w(t.initials), 1)
      ], 2))
    ], 2));
  }
}), Sn = /* @__PURE__ */ M({
  __name: "badge",
  props: {
    color: { default: "neutral" },
    outline: { type: Boolean, default: !1 },
    size: { default: "medium" }
  },
  setup(d) {
    const u = d, e = {
      "extra small": "badge-xs",
      small: "badge-sm",
      medium: "badge-md",
      large: "badge-lg"
    }, t = {
      neutral: "badge-neutral",
      primary: "badge-primary",
      secondary: "badge-secondary",
      accent: "badge-accent",
      ghost: "badge-ghost",
      info: "badge-info",
      success: "badge-success",
      warning: "badge-warning",
      error: "badge-error"
    };
    return (l, r) => (a(), o("span", {
      class: k(["badge", e[u.size], t[u.color], { "badge-outline": u.outline }])
    }, [
      h(l.$slots, "default")
    ], 2));
  }
}), et = ["src", "alt"], tt = {
  key: 1,
  class: "w-full h-32 skeleton"
}, nt = {
  key: 0,
  class: "card-body"
}, at = {
  key: 0,
  class: "group-hover:text-primary text-lg text-left cursor-pointer card-title"
}, ot = {
  key: 1,
  class: "text-left"
}, lt = { class: "flex-col flex-nowrap mt-auto card-actions" }, st = {
  key: 1,
  class: "card-body"
}, xn = /* @__PURE__ */ M({
  __name: "card",
  props: {
    imgUrl: { default: "" },
    alt: { default: "A beautiful picture that says something about this card" },
    title: { default: "" },
    description: { default: "" },
    outlined: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    class: { default: "" }
  },
  setup(d) {
    const u = d, e = _(u.outlined);
    return L(
      () => u.outlined,
      (t) => {
        e.value = t;
      }
    ), (t, l) => (a(), o("div", {
      class: k(["group bg-base-100 shadow-xl rounded-sm min-w-64 max-w-full h-full card card-compact", e.value ? "border-4 border-primary" : ""])
    }, [
      n("figure", null, [
        t.imgUrl || t.imgUrl && !t.loading ? (a(), o("img", {
          key: 0,
          src: t.imgUrl,
          alt: t.alt,
          class: k(["rounded-sm w-full h-44 object-cover", {
            hidden: t.loading
          }])
        }, null, 10, et)) : D("", !0),
        t.loading && t.imgUrl ? (a(), o("div", tt)) : D("", !0)
      ]),
      t.loading ? D("", !0) : (a(), o("div", nt, [
        t.title ? (a(), o("h2", at, w(t.title), 1)) : D("", !0),
        h(t.$slots, "details"),
        t.description ? (a(), o("p", ot, w(t.description), 1)) : D("", !0),
        n("div", lt, [
          h(t.$slots, "actions")
        ])
      ])),
      t.loading ? (a(), o("div", st, l[0] || (l[0] = [
        n("div", { class: "flex flex-col gap-4 w-52" }, [
          n("div", { class: "w-28 h-4 skeleton" }),
          n("div", { class: "w-full h-4 skeleton" }),
          n("div", { class: "w-full h-4 skeleton" })
        ], -1)
      ]))) : D("", !0)
    ], 2));
  }
}), rt = { class: "flex gap-4 bg-base-100 w-full tabs tabs-boxed" }, it = ["onClick"], ut = { class: "text-sm" }, dt = { class: "md:block hidden opacity-35 text-xs truncate overflow-hidden ..." }, ct = { class: "hidden" }, pt = {
  id: "advancedSearchMobile",
  class: "modal"
}, mt = { class: "modal-box" }, ft = { class: "font-bold text-lg" }, vt = ["checked"], gt = { class: "flex justify-between items-center pr-4 w-full font-medium text-xl collapse-title" }, ht = { class: "text-sm" }, bt = { class: "flex place-content-center p-0 collapse-content" }, yt = /* @__PURE__ */ M({
  __name: "advancedSearch",
  props: {
    searchOptions: {},
    currentCategory: {}
  },
  emits: ["search", "update:search-data"],
  setup(d, { emit: u }) {
    const e = d, t = u, l = _(null), r = {
      datetime: Be(() => Promise.resolve().then(() => Ht))
    }, p = _({}), v = _({ left: "0px", top: "0px", transform: "translateX(0%)" }), f = _(null);
    function m($, x) {
      var B, U, b;
      if ((B = l.value) != null && B.name) {
        t("update:search-data", {
          tab: l.value.name,
          data: $
        });
        return;
      }
      if (e.searchOptions) {
        let I = (b = (U = e.searchOptions) == null ? void 0 : U.find((z) => (z == null ? void 0 : z.category) === e.currentCategory)) == null ? void 0 : b.tabs[x];
        I !== void 0 && (I.value = $, t("update:search-data", {
          tab: I == null ? void 0 : I.name,
          data: I == null ? void 0 : I.value
        }));
      }
    }
    function g() {
      t("search");
    }
    async function R($) {
      f.value && !f.value.contains($.target) && (await de(), l.value = null);
    }
    async function F() {
      if (typeof window < "u" && window.innerWidth <= 768) {
        const $ = document.getElementById("advancedSearchMobile");
        $ ? $.showModal() : console.warn("Modal element not found.");
      }
    }
    async function S($) {
      var B;
      l.value = $, await de();
      const x = p.value[$.name];
      if (x) {
        const U = x.getBoundingClientRect(), b = ((B = f.value) == null ? void 0 : B.getBoundingClientRect()) || { left: 0, top: 0 };
        window.innerWidth > 768 ? v.value = {
          left: `${U.left + U.width / 2 - b.left}px`,
          top: `${U.bottom - b.top}px`,
          transform: "translateX(-50%)"
        } : v.value = {
          left: "50%",
          top: `${U.bottom - b.top}px`,
          transform: "translateX(-50%)"
          // Center the popup horizontally on mobile
        };
      } else
        console.error("Tab element not found for:", $.name);
    }
    return E(() => {
      document.addEventListener("click", R);
    }), Ie(() => {
      document.removeEventListener("click", R);
    }), ($, x) => {
      var B, U;
      return a(), o(y, null, [
        n("div", {
          ref_key: "searchContainer",
          ref: f,
          class: "w-full"
        }, [
          n("div", {
            class: "group/search relative flex place-items-center border-2 shadow-md p-2 border-base-300/25 rounded-sm w-full transition-all cursor-pointer md:cursor-auto",
            onClick: F
          }, [
            n("div", rt, [
              (a(!0), o(y, null, C(((B = e.searchOptions.find((b) => b.category === e.currentCategory)) == null ? void 0 : B.tabs) || [], (b) => {
                var I;
                return a(), o("button", {
                  key: b.name,
                  onClick: (z) => S(b),
                  class: k([{ "tab-active": ((I = l.value) == null ? void 0 : I.name) === b.name }, "group/searchitem relative after:top-0 after:-right-2 after:absolute first-of-type:flex-auto last-of-type:flex-auto md:after:content-[''] last-of-type:after:content-none after:content-none after:bg-base-200 hover:bg-base-200 p-1 rounded-sm w-auto after:w-[1px] after:h-10 text-start overflow-x-hidden pointer-events-none md:pointer-events-auto"]),
                  ref_for: !0,
                  ref: (z) => p.value[b.name] = z
                }, [
                  n("p", ut, w(b.name), 1),
                  n("p", dt, w(b.description), 1)
                ], 10, it);
              }), 128))
            ]),
            l.value ? (a(), o("div", {
              key: 0,
              class: "absolute flex shadow-sm mt-4 w-fit max-w-full transition-all tab-content",
              style: Oe(v.value)
            }, [
              (a(), re(ie(r[l.value.type]), ue(l.value.props ? l.value.props : null, { onUpdated: m }), null, 16))
            ], 4)) : D("", !0),
            n("button", {
              title: "search",
              type: "submit",
              class: "ml-1 btn btn-primary btn-square",
              onClick: g
            }, [
              Y(A(ce), {
                size: 24,
                color: "white"
              })
            ])
          ]),
          n("div", ct, [
            n("button", {
              title: "search",
              onClick: x[0] || (x[0] = () => {
              })
            }, [
              Y(A(ce), {
                size: 24,
                color: "white"
              })
            ])
          ])
        ], 512),
        n("dialog", pt, [
          n("div", mt, [
            h($.$slots, "additionalForMobile", {}, () => [
              n("h3", ft, w($.currentCategory), 1)
            ], !0),
            (a(!0), o(y, null, C(((U = e.searchOptions.find((b) => b.category === e.currentCategory)) == null ? void 0 : U.tabs) || [], (b, I) => (a(), o("div", {
              class: "bg-base-200 my-4 collapse",
              key: b.name
            }, [
              n("input", {
                type: "radio",
                name: "my-accordion-1",
                checked: I === 0
              }, null, 8, vt),
              n("div", gt, [
                ae(w(b.name) + " ", 1),
                n("p", ht, w(b.description), 1)
              ]),
              n("div", bt, [
                x[1] || (x[1] = n("br", null, null, -1)),
                (a(), re(ie(r[b.type]), ue({ ref_for: !0 }, b.props || {}, {
                  onUpdated: (z) => m(z, I)
                }), null, 16, ["onUpdated"]))
              ])
            ]))), 128)),
            n("div", { class: "modal-action" }, [
              n("form", { method: "dialog" }, [
                n("button", {
                  class: "btn btn-primary",
                  onClick: g
                }, "Close and Search")
              ])
            ])
          ])
        ])
      ], 64);
    };
  }
}), Q = (d, u) => {
  const e = d.__vccOpts || d;
  for (const [t, l] of u)
    e[t] = l;
  return e;
}, Dn = /* @__PURE__ */ Q(yt, [["__scopeId", "data-v-08fa37eb"]]), wt = ["placeholder", "value", "id"], kt = { class: "btn btn-ghost" }, $t = ["id"], _t = {
  key: 0,
  class: "flex justify-between items-center place-content-center mb-4"
}, Ct = ["value"], St = ["value"], xt = {
  key: 1,
  class: "gap-2 grid grid-cols-7"
}, Dt = ["onClick"], Tt = {
  key: 2,
  class: "mt-4 lg:w-80"
}, Mt = {
  key: 0,
  class: "mb-2 font-bold text-lg"
}, Bt = { key: 1 }, It = {
  key: 1,
  class: "flex gap-4"
}, Ot = ["value"], Vt = ["value"], Ut = {
  key: 2,
  class: "flex flex-col gap-4"
}, At = {
  key: 1,
  class: "flex gap-2"
}, zt = ["value"], Rt = ["value"], Pt = {
  key: 1,
  class: "flex gap-2"
}, jt = ["value"], Lt = ["value"], Nt = { class: "flex gap-2 mt-4" }, Et = {
  __name: "datetimePicker",
  props: {
    mode: {
      type: String,
      default: "datetime",
      // 'datetime', 'date', 'time'
      validator: (d) => ["datetime", "date", "time"].includes(d)
    },
    range: {
      type: Boolean,
      default: !1
    },
    placeholder: {
      type: String,
      default: "Select date and time"
    },
    popup: {
      type: Boolean,
      default: !1
    },
    id: {
      type: String,
      default: "datetimepicker"
    },
    initialDate: {
      type: Object,
      default: () => null
    }
  },
  emits: ["updated"],
  setup(d, { emit: u }) {
    const e = d;
    L(() => e.range, (i) => {
      i ? (r.value = { start: null, end: null }, p.value = { start: null, end: null }) : (r.value = null, p.value = null);
    });
    const t = u, l = _(!1), r = _(e.range ? { start: null, end: null } : null), p = _(e.range ? { start: null, end: null } : null), v = _((/* @__PURE__ */ new Date()).toLocaleString("default", { month: "long" })), f = _((/* @__PURE__ */ new Date()).getFullYear()), m = _(e.range ? { start: 0, end: 0 } : 0), g = _(e.range ? { start: 0, end: 0 } : 0), R = _(null), F = T(() => `${e.id}-input`), S = T(() => `${e.id}-popup`), $ = T(() => e.mode === "date" || e.mode === "datetime"), x = T(() => e.mode === "time" || e.mode === "datetime");
    T(() => new Date(f.value, B.value));
    const B = T(() => X.indexOf(v.value)), U = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"], b = T(() => new Date(f.value, B.value).getDay()), I = T(() => {
      const i = new Date(f.value, B.value + 1, 0).getDate();
      return Array.from({ length: i }, (c, s) => new Date(f.value, B.value, s + 1));
    }), z = T(() => Array.from({ length: b.value }, (i, c) => c)), ee = Array.from({ length: 24 }, (i, c) => c), te = Array.from({ length: 60 }, (i, c) => c), J = T(
      () => typeof navigator < "u" && /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
        navigator.userAgent
      )
    ), X = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"], me = T(() => {
      const i = (/* @__PURE__ */ new Date()).getFullYear();
      return Array.from({ length: 100 }, (c, s) => i - 50 + s);
    }), fe = T(() => {
      if (!$.value || !r.value) return "";
      if (e.range && r.value.start && r.value.end) {
        const i = r.value.start.toLocaleDateString("en-US"), c = r.value.end.toLocaleDateString("en-US");
        return `${i} - ${c}`;
      }
      return !e.range && r.value ? r.value.toLocaleDateString("en-US") : "";
    }), H = (i) => i instanceof Date ? i : new Date(i), N = (i) => i instanceof Date && !isNaN(i), ve = T(() => {
      if (!x.value) return "";
      const i = (c) => {
        var K, q, se;
        const s = ((K = m.value) == null ? void 0 : K[c]) ?? m.value, P = ((q = g.value) == null ? void 0 : q[c]) ?? g.value;
        return J.value ? ((se = p.value) == null ? void 0 : se[c]) ?? p.value : `${s.toString().padStart(2, "0")}:${P.toString().padStart(2, "0")}`;
      };
      return e.range ? `${i("start")} - ${i("end")}` : i();
    }), ge = T(() => {
      const i = fe.value, c = ve.value;
      return `${i} ${c}`.trim();
    }), he = () => l.value = !l.value, oe = () => {
      O(), be();
    }, be = () => l.value = !1, ye = () => {
      r.value = e.range ? { start: null, end: null } : null, p.value = e.range ? { start: null, end: null } : null, O();
    }, we = (i) => {
      e.range ? r.value.start && r.value.end ? r.value = { start: i, end: null } : r.value.start ? r.value.end = i : r.value.start = i : r.value = i, O();
    }, ke = (i) => (i = H(i), e.range ? r.value.start && N(r.value.start) && i.getTime() === r.value.start.getTime() || r.value.end && N(r.value.end) && i.getTime() === r.value.end.getTime() : N(r.value) && i.getTime() === r.value.getTime()), $e = (i) => {
      i = H(i);
      const c = /* @__PURE__ */ new Date();
      return i.getDate() === c.getDate() && i.getMonth() === c.getMonth() && i.getFullYear() === c.getFullYear();
    }, _e = (i) => (i = H(i), e.range && N(r.value.start) && i.getTime() === r.value.start.getTime()), Ce = (i) => (i = H(i), e.range && N(r.value.end) && i.getTime() === r.value.end.getTime()), Se = (i) => {
      if (i = H(i), e.range && N(r.value.start) && N(r.value.end)) {
        const c = r.value.start.getTime(), s = r.value.end.getTime(), P = i.getTime();
        return P > c && P < s;
      }
      return !1;
    }, xe = () => {
      let i = B.value - 1;
      i < 0 && (i = 11, f.value--), v.value = X[i], O();
    }, De = () => {
      let i = B.value + 1;
      i > 11 && (i = 0, f.value++), v.value = X[i], O();
    }, le = (i) => {
      R.value && !R.value.contains(i.target) && l.value == !0 && oe();
    }, O = () => {
      let i = {};
      const c = (s, P, K) => {
        s instanceof Date && !isNaN(s) || (s = /* @__PURE__ */ new Date());
        const q = new Date(s);
        return q.setUTCHours(P, K, 0, 0), q.toISOString();
      };
      e.range ? (i.from = c(
        r.value.start,
        m.value.start,
        g.value.start
      ), i.to = c(
        r.value.end,
        m.value.end,
        g.value.end
      )) : i = c(
        r.value,
        m.value,
        g.value
      ), t("updated", i);
    };
    return E(() => {
      e.initialDate && (e.range && e.initialDate.start && e.initialDate.end ? r.value = {
        start: new Date(e.initialDate.start),
        end: new Date(e.initialDate.end)
      } : e.initialDate.start && (r.value = { start: new Date(e.initialDate.start) })), e.range ? (m.value.start = m.value.start ?? (/* @__PURE__ */ new Date()).getHours(), m.value.end = m.value.end ?? (/* @__PURE__ */ new Date()).getHours(), g.value.start = g.value.start ?? (/* @__PURE__ */ new Date()).getMinutes(), g.value.end = g.value.end ?? (/* @__PURE__ */ new Date()).getMinutes()) : (m.value = m.value ?? (/* @__PURE__ */ new Date()).getHours(), g.value = g.value ?? (/* @__PURE__ */ new Date()).getMinutes());
    }), e.popup && E(() => document.addEventListener("click", le)), pe(() => document.removeEventListener("click", le)), (i, c) => (a(), o("div", {
      class: "inline-block relative w-full lg:w-[360px]",
      ref_key: "pickerContainer",
      ref: R
    }, [
      n("div", {
        class: "flex items-center gap-2 cursor-pointer",
        onClick: he
      }, [
        d.popup ? h(i.$slots, "default", { key: 0 }, () => [
          n("input", {
            type: "text",
            class: "input-bordered w-full cursor-pointer input",
            placeholder: d.placeholder,
            value: ge.value,
            readonly: "",
            id: F.value
          }, null, 8, wt),
          n("button", kt, [
            Y(A(Ee))
          ])
        ], !0) : D("", !0)
      ]),
      l.value || !d.popup ? (a(), o("div", {
        key: 0,
        class: k(["z-50 lg:bg-base-100 md:mt-2 md:p-4 px-4 rounded-md w-full", [{ absolute: d.popup }]]),
        id: S.value
      }, [
        $.value ? (a(), o("div", _t, [
          n("button", {
            class: "hidden md:block btn-outline btn btn-primary md:btn-sm",
            onClick: xe
          }, c[11] || (c[11] = [
            n("svg", {
              xmlns: "http://www.w3.org/2000/svg",
              class: "w-4 h-4",
              fill: "none",
              viewBox: "0 0 24 24",
              stroke: "currentColor"
            }, [
              n("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M15 19l-7-7 7-7"
              })
            ], -1)
          ])),
          V(n("select", {
            class: "border-none w-fit select",
            "onUpdate:modelValue": c[0] || (c[0] = (s) => v.value = s),
            onChange: O
          }, [
            (a(), o(y, null, C(X, (s, P) => n("option", {
              key: P,
              value: s
            }, w(s), 9, Ct)), 64))
          ], 544), [
            [j, v.value]
          ]),
          V(n("select", {
            class: "border-none w-24 select",
            "onUpdate:modelValue": c[1] || (c[1] = (s) => f.value = s),
            onChange: O
          }, [
            (a(!0), o(y, null, C(me.value, (s) => (a(), o("option", {
              key: s,
              value: s
            }, w(s), 9, St))), 128))
          ], 544), [
            [j, f.value]
          ]),
          n("button", {
            class: "hidden md:block btn-outline btn btn-primary md:btn-sm",
            onClick: De
          }, c[12] || (c[12] = [
            n("svg", {
              xmlns: "http://www.w3.org/2000/svg",
              class: "w-4 h-4",
              fill: "none",
              viewBox: "0 0 24 24",
              stroke: "currentColor"
            }, [
              n("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M9 5l7 7-7 7"
              })
            ], -1)
          ]))
        ])) : D("", !0),
        $.value ? (a(), o("div", xt, [
          (a(), o(y, null, C(U, (s) => n("div", {
            key: s,
            class: "text-center"
          }, w(s), 1)), 64)),
          (a(!0), o(y, null, C(z.value, (s) => (a(), o("div", {
            key: s,
            class: "text-center"
          }))), 128)),
          (a(!0), o(y, null, C(I.value, (s) => (a(), o("div", {
            key: s,
            class: k(["hover:bg-primary-10 py-1 rounded-full text-center cursor-pointer", {
              "bg-primary text-primary-content": ke(s),
              today: $e(s),
              "range-start bg-primary text-primary-content": _e(s),
              "range-end bg-primary text-primary-content": Ce(s),
              "in-range bg-primary/20 hover:bg-primary/10": Se(s)
            }]),
            onClick: (P) => we(s)
          }, w(s.getDate()), 11, Dt))), 128))
        ])) : D("", !0),
        x.value ? (a(), o("div", Tt, [
          e.range ? D("", !0) : (a(), o("h3", Mt, "Select Time")),
          e.range ? (a(), o("div", Ut, [
            n("div", null, [
              c[13] || (c[13] = n("p", { class: "font-bold" }, "Start Time", -1)),
              J.value ? V((a(), o("input", {
                key: 0,
                type: "time",
                class: "input-bordered w-full input",
                "onUpdate:modelValue": c[5] || (c[5] = (s) => p.value.start = s),
                onChange: O
              }, null, 544)), [
                [Z, p.value.start]
              ]) : (a(), o("div", At, [
                V(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": c[6] || (c[6] = (s) => m.value.start = s),
                  onChange: O
                }, [
                  (a(!0), o(y, null, C(A(ee), (s) => (a(), o("option", {
                    key: s,
                    value: s
                  }, w(s.toString().padStart(2, "0")), 9, zt))), 128))
                ], 544), [
                  [
                    j,
                    m.value.start,
                    void 0,
                    { number: !0 }
                  ]
                ]),
                V(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": c[7] || (c[7] = (s) => g.value.start = s),
                  onChange: O
                }, [
                  (a(!0), o(y, null, C(A(te), (s) => (a(), o("option", {
                    key: s,
                    value: s
                  }, w(s.toString().padStart(2, "0")), 9, Rt))), 128))
                ], 544), [
                  [
                    j,
                    g.value.start,
                    void 0,
                    { number: !0 }
                  ]
                ])
              ]))
            ]),
            n("div", null, [
              c[14] || (c[14] = n("p", { class: "font-bold" }, "End Time", -1)),
              J.value ? V((a(), o("input", {
                key: 0,
                type: "time",
                class: "input-bordered w-full input",
                "onUpdate:modelValue": c[8] || (c[8] = (s) => p.value.end = s),
                onChange: O
              }, null, 544)), [
                [Z, p.value.end]
              ]) : (a(), o("div", Pt, [
                V(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": c[9] || (c[9] = (s) => m.value.end = s),
                  onChange: O
                }, [
                  (a(!0), o(y, null, C(A(ee), (s) => (a(), o("option", {
                    key: s,
                    value: s
                  }, w(s.toString().padStart(2, "0")), 9, jt))), 128))
                ], 544), [
                  [
                    j,
                    m.value.end,
                    void 0,
                    { number: !0 }
                  ]
                ]),
                V(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": c[10] || (c[10] = (s) => g.value.end = s),
                  onChange: O
                }, [
                  (a(!0), o(y, null, C(A(te), (s) => (a(), o("option", {
                    key: s,
                    value: s
                  }, w(s.toString().padStart(2, "0")), 9, Lt))), 128))
                ], 544), [
                  [
                    j,
                    g.value.end,
                    void 0,
                    { number: !0 }
                  ]
                ])
              ]))
            ])
          ])) : (a(), o("div", Bt, [
            J.value ? V((a(), o("input", {
              key: 0,
              type: "time",
              class: "input-bordered w-full input",
              "onUpdate:modelValue": c[2] || (c[2] = (s) => p.value = s),
              onChange: O
            }, null, 544)), [
              [Z, p.value]
            ]) : (a(), o("div", It, [
              V(n("select", {
                class: "w-full select-bordered select",
                "onUpdate:modelValue": c[3] || (c[3] = (s) => m.value = s),
                onChange: O
              }, [
                (a(!0), o(y, null, C(A(ee), (s) => (a(), o("option", {
                  key: s,
                  value: s
                }, w(s.toString().padStart(2, "0")), 9, Ot))), 128))
              ], 544), [
                [
                  j,
                  m.value,
                  void 0,
                  { number: !0 }
                ]
              ]),
              V(n("select", {
                class: "w-full select-bordered select",
                "onUpdate:modelValue": c[4] || (c[4] = (s) => g.value = s),
                onChange: O
              }, [
                (a(!0), o(y, null, C(A(te), (s) => (a(), o("option", {
                  key: s,
                  value: s
                }, w(s.toString().padStart(2, "0")), 9, Vt))), 128))
              ], 544), [
                [
                  j,
                  g.value,
                  void 0,
                  { number: !0 }
                ]
              ])
            ]))
          ]))
        ])) : D("", !0),
        n("div", Nt, [
          n("button", {
            class: k(["btn btn-secondary", d.popup ? "w-fit" : "w-full"]),
            onClick: ye
          }, "Clear", 2),
          d.popup ? (a(), o("button", {
            key: 0,
            class: "btn btn-primary btn-wide",
            onClick: oe
          }, "Close")) : D("", !0)
        ])
      ], 10, $t)) : D("", !0)
    ], 512));
  }
}, Ft = /* @__PURE__ */ Q(Et, [["__scopeId", "data-v-488ecabe"]]), Ht = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: Ft
}, Symbol.toStringTag, { value: "Module" })), qt = ["value", "checked", "onChange", "disabled"], Tn = /* @__PURE__ */ M({
  __name: "rating",
  props: {
    initialRating: { default: 0 },
    numberOfStars: { default: 5 },
    halfStars: { type: Boolean, default: !0 },
    isInteractive: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(d) {
    const u = d, e = _(u.initialRating);
    L(
      () => u.initialRating,
      (l) => {
        e.value = l;
      }
    );
    const t = (l) => {
      e.value = l;
    };
    return (l, r) => (a(), o("div", {
      class: k(["rating", [
        `rating-${u.size}`,
        { "rating-half": l.halfStars }
      ]])
    }, [
      (a(!0), o(y, null, C(l.numberOfStars * (l.halfStars ? 2 : 1), (p) => (a(), o("input", {
        key: p,
        type: "radio",
        value: l.halfStars ? p * 0.5 : p,
        checked: e.value === (l.halfStars ? p * 0.5 : p),
        onChange: (v) => l.isInteractive ? t(l.halfStars ? p * 0.5 : p) : null,
        class: k(["mask mask-star", {
          "bg-yellow-400": e.value >= (l.halfStars ? p * 0.5 : p),
          "mask-half-1": l.halfStars && p % 2 !== 0,
          "mask-half-2": l.halfStars && p % 2 === 0,
          "cursor-pointer": l.isInteractive,
          "cursor-default": !l.isInteractive
        }]),
        disabled: !l.isInteractive
      }, null, 42, qt))), 128))
    ], 2));
  }
}), Yt = { class: "badge" }, Jt = ["onClick"], Xt = { class: "opacity-75" }, Kt = ["placeholder"], Mn = /* @__PURE__ */ M({
  __name: "taginput",
  props: {
    modelValue: {},
    maxTagAmount: {},
    placeholder: {},
    class: {}
  },
  emits: ["update:modelValue"],
  setup(d, { emit: u }) {
    const e = d, t = u, l = _([...e.modelValue]), r = e.maxTagAmount === void 0 ? -1 : e.maxTagAmount, p = _(null), v = _(""), f = T(() => r < 0 || l.value.length < r), m = () => {
      const S = v.value.trim();
      S && !l.value.includes(S) && (l.value.push(S), t("update:modelValue", l.value), v.value = "");
    }, g = (S) => {
      l.value = l.value.filter(($) => $ !== S), t("update:modelValue", l.value);
    }, R = () => {
      v.value === "" && (l.value.pop(), t("update:modelValue", l.value));
    }, F = (S) => {
      S.key === "Enter" ? m() : S.key === "Backspace" && v.value === "" && R();
    };
    return L(() => e.modelValue, (S) => {
      l.value = [...S];
    }), (S, $) => (a(), o("div", {
      class: k(["flex flex-wrap gap-2 bg-base-100 shadow px-4 py-6 border border-base-content/20 rounded", S.$props.class])
    }, [
      (a(!0), o(y, null, C(l.value, (x) => h(S.$slots, "tag", {
        key: x,
        tag: x
      }, () => [
        n("div", Yt, [
          n("button", {
            class: "!px-1 !py-0 h-fit font-bold cursor-pointer",
            onClick: (B) => g(x),
            "aria-label": "Remove tag"
          }, "X", 8, Jt),
          n("span", Xt, w(x), 1)
        ])
      ])), 128)),
      h(S.$slots, "input", { showInput: f.value }, () => [
        f.value ? V((a(), o("input", {
          key: 0,
          ref_key: "inputRef",
          ref: p,
          "onUpdate:modelValue": $[0] || ($[0] = (x) => v.value = x),
          type: "text",
          placeholder: S.placeholder || "Type here",
          class: "h-full input input-ghost",
          onKeydown: F,
          "aria-label": "Add tags"
        }, null, 40, Kt)), [
          [Z, v.value]
        ]) : D("", !0)
      ])
    ], 2));
  }
}), Bn = /* @__PURE__ */ M({
  __name: "loader",
  props: {
    loading: { type: Boolean, default: !0 },
    size: { default: "md" },
    type: { default: "spinner" },
    color: { default: "primary" }
  },
  setup(d) {
    const u = d, e = _(u.loading);
    return L(
      () => u.loading,
      (t) => {
        e.value = t;
      }
    ), (t, l) => e.value ? (a(), o("span", {
      key: 0,
      class: k(["loading", [
        { "loading-xs": t.size === "xs" },
        { "loading-sm": t.size === "sm" },
        { "loading-md": t.size === "md" },
        { "loading-lg": t.size === "lg" },
        { "loading-xl": t.size === "xl" },
        // types
        { "loading-spinner": t.type === "spinner" },
        { "loading-dots": t.type === "dots" },
        { "loading-ring": t.type === "ring" },
        { "loading-balls": t.type === "balls" },
        { "loading-bars": t.type === "bars" },
        { "loading-infinity": t.type === "infinity" },
        // colors
        { "text-primary": t.color === "primary" },
        { "text-secondary": t.color === "secondary" },
        { "text-accent": t.color === "accent" },
        { "text-neutral": t.color === "neutral" },
        { "text-info": t.color === "info" },
        { "text-success": t.color === "success" },
        { "text-warning": t.color === "warning" },
        { "text-error": t.color === "error" }
      ]])
    }, null, 2)) : D("", !0);
  }
}), Wt = { class: "footer sm:footer-horizontal container" }, Zt = { class: "footer-title" }, Gt = ["href"], Qt = { class: "ml-auto" }, In = /* @__PURE__ */ M({
  __name: "footer",
  props: {
    items: {},
    background: {},
    color: {}
  },
  setup(d) {
    const u = d;
    return (e, t) => (a(), o("div", {
      class: k(["mx-auto md:px-10 py-10 text-base-content", [e.background ?? "bg-base-200", e.color ?? "text-base-content"]])
    }, [
      n("footer", Wt, [
        (a(!0), o(y, null, C(u.items, (l) => (a(), o("nav", null, [
          n("h6", Zt, w(l.title), 1),
          (a(!0), o(y, null, C(l.items, (r) => (a(), o("a", {
            class: "link link-hover",
            href: r.link
          }, w(r.text), 9, Gt))), 256))
        ]))), 256)),
        n("aside", Qt, [
          h(e.$slots, "default")
        ])
      ])
    ], 2));
  }
}), en = {}, tn = { class: "min-h-40 container hero" }, nn = { class: "px-0! text-center hero-content" }, an = { class: "mt-9 text-4xl" };
function on(d, u) {
  return a(), o("div", tn, [
    n("div", nn, [
      n("div", null, [
        n("h1", an, [
          h(d.$slots, "title", {}, () => [
            u[0] || (u[0] = ae("hero title"))
          ])
        ]),
        n("p", null, [
          h(d.$slots, "description", { class: "py-9" })
        ]),
        h(d.$slots, "call-to-action-block", { class: "max-w-full" }, () => [
          u[1] || (u[1] = n("button", { class: "btn btn-primary" }, "Call to action", -1))
        ])
      ])
    ])
  ]);
}
const On = /* @__PURE__ */ Q(en, [["render", on]]), ln = { class: "categories flex flex-row gap-4 place-content-center" }, sn = ["onClick"], Vn = /* @__PURE__ */ M({
  __name: "categoryNavigation",
  props: {
    searchOptions: {},
    currentCategory: {}
  },
  emits: ["update:currentCategory"],
  setup(d, { emit: u }) {
    const e = d, t = u;
    function l(r) {
      t("update:currentCategory", r);
    }
    return (r, p) => (a(), o("div", ln, [
      (a(!0), o(y, null, C(e.searchOptions, (v) => (a(), o("div", {
        key: v.category
      }, [
        n("button", {
          onClick: (f) => l(v.category),
          class: k(["truncate", { "font-semibold": e.currentCategory === v.category }])
        }, w(v.category), 11, sn)
      ]))), 128))
    ]));
  }
}), rn = { class: "md:flex hidden navbar-start" }, un = { class: "md:flex justify-center items-center hidden navbar-center" }, dn = { class: "md:flex hidden navbar-end" }, cn = { class: "navbar-bottom md:flex hidden" }, pn = /* @__PURE__ */ M({
  __name: "navigationBar",
  props: {
    isCollapsed: { type: Boolean, default: !0 }
  },
  setup(d) {
    const u = d;
    return (e, t) => (a(), o("nav", {
      class: k(["place-items-start border-primary bg-base-100 px-5 py-5 border-b-4 transition-all navbar navigationbar", u.isCollapsed ? "collapsed" : ""])
    }, [
      n("div", rn, [
        h(e.$slots, "start", {}, void 0, !0)
      ]),
      n("div", un, [
        h(e.$slots, "center", {}, void 0, !0)
      ]),
      n("div", dn, [
        h(e.$slots, "end", {}, void 0, !0)
      ]),
      n("div", cn, [
        h(e.$slots, "bottom", {}, void 0, !0)
      ])
    ], 2));
  }
}), Un = /* @__PURE__ */ Q(pn, [["__scopeId", "data-v-8ddb2b45"]]), mn = {
  key: 0,
  class: "hidden top-4 right-0 absolute md:flex gap-4"
}, fn = ["onClick", "aria-selected"], vn = {
  key: 0,
  role: "tabpanel",
  class: "p-6 border-x-0 border-t-2 border-b-0 border-base-300 max-w-full overflow-x-auto tab-content"
}, gn = { class: "p-6 border-x-0 border-t-2 border-b-0 border-base-300 max-w-full" }, An = /* @__PURE__ */ M({
  __name: "tab",
  props: {
    items: {},
    withControlls: { type: Boolean, default: !1 },
    rotateTabsAfter: { default: 0 },
    buttonOnlyMode: { type: Boolean, default: !1 }
  },
  emits: ["tab-changed"],
  setup(d, { emit: u }) {
    const e = d, t = _(e.items[0]), l = u;
    function r(f) {
      t.value = f, l("tab-changed", f);
    }
    function p() {
      const m = (e.items.indexOf(t.value) + 1) % e.items.length;
      r(e.items[m]);
    }
    function v() {
      const m = (e.items.indexOf(t.value) - 1 + e.items.length) % e.items.length;
      r(e.items[m]);
    }
    return E(() => {
      e.items && r(e.items[0]);
    }), pe(() => {
      e.rotateTabsAfter && e.rotateTabsAfter > 0 && setInterval(() => {
        p();
      }, e.rotateTabsAfter * 1e3);
    }), (f, m) => (a(), o(y, null, [
      n("div", {
        role: "tablist",
        class: k(["relative tabs-bordered w-full tabs tabs-lg", { "flex-nowrap overflow-x-auto": f.buttonOnlyMode }])
      }, [
        f.withControlls ? (a(), o("div", mn, [
          n("button", {
            onClick: m[0] || (m[0] = (g) => v()),
            class: "cursor-pointer"
          }, "Previous"),
          n("button", {
            onClick: m[1] || (m[1] = (g) => p()),
            class: "text-primary cursor-pointer"
          }, "Next")
        ])) : D("", !0),
        (a(!0), o(y, null, C(f.items, (g) => (a(), o(y, null, [
          n("a", {
            type: "button",
            role: "tab",
            class: k(["min-w-max tab", g === t.value ? "bg-primary text-base-100" : ""]),
            onClick: (R) => r(g),
            "aria-selected": t.value == g
          }, w(g), 11, fn),
          f.buttonOnlyMode ? D("", !0) : (a(), o("div", vn, [
            h(f.$slots, `${g}-tab`)
          ]))
        ], 64))), 256))
      ], 2),
      n("div", gn, [
        h(f.$slots, "default")
      ])
    ], 64));
  }
});
export {
  _n as Accordion,
  Dn as AdvancedSearch,
  Cn as Avatar,
  Sn as Badge,
  bn as ButtonComponent,
  xn as Card,
  Vn as CategoryNavigation,
  Ft as DatetimePicker,
  yn as Dropdown,
  In as Footer,
  On as Hero,
  Bn as Loader,
  wn as Modal,
  Un as NavigationBar,
  Tn as Rating,
  kn as Swap,
  An as Tab,
  Mn as TagInput,
  $n as ThemeController
};
